import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/curran/70ae30ab3b3eea62f84e/raw/f11c9936e570a02a249ee1c3c9d3cad9d38fb6e3/iris.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  const row = (d) => {
    d.sepal_length = +d.sepal_length;
    d.sepal_width = +d.sepal_width;
    d.petal_length = +d.petal_length;
    d.sepal_width = +d.sepal_width;
    d.species = d.class.substring(5);
    return d;
  };

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
